Error
A valid request URL is required to generate request examples{
"items": [
{
"id": "4cbd0ab8-282c-4b30-b981-29e1ed8a2016",
"agencyId": "BLD1234567_production",
"version": 42,
"running": true,
"status": {
"planVersionInSolution": 42,
"waitingRoom": {
"waitingVersion": 42,
"runningVersion": 42
},
"waitingTraffic": {
"waitingVersion": 42,
"runningVersion": 42
},
"creation": {
"waitingVersion": 42,
"runningVersion": 42
},
"optimization": {
"waitingVersion": 42,
"runningVersion": 42
}
},
"properties": {}
}
],
"agencyId": "BLD1234567_production",
"paging": {
"total": 142,
"totalPages": 5,
"page": 2,
"nextPage": 3,
"previousPage": 1,
"itemsPerPage": 30
}
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}Plan
Retrieve the list of plans, in a light representation
At the moment, retrieving a collection of plans is not paginated by default.
The paging is performed when at least one of the paging query parameters (page or itemsPerPage) is
present with a valid value.
The default values are used like this:
- if
pageis present anditemsPerPageis absent, the paging is performed with a default value foritemsPerPage, - if
itemsPerPageis present andpageis absent, the paging is performed with a default value forpage, - but if both
pageanditemsPerPageare absent, no paging is performed.
GET
/
plans
Error
A valid request URL is required to generate request examples{
"items": [
{
"id": "4cbd0ab8-282c-4b30-b981-29e1ed8a2016",
"agencyId": "BLD1234567_production",
"version": 42,
"running": true,
"status": {
"planVersionInSolution": 42,
"waitingRoom": {
"waitingVersion": 42,
"runningVersion": 42
},
"waitingTraffic": {
"waitingVersion": 42,
"runningVersion": 42
},
"creation": {
"waitingVersion": 42,
"runningVersion": 42
},
"optimization": {
"waitingVersion": 42,
"runningVersion": 42
}
},
"properties": {}
}
],
"agencyId": "BLD1234567_production",
"paging": {
"total": 142,
"totalPages": 5,
"page": 2,
"nextPage": 3,
"previousPage": 1,
"itemsPerPage": 30
}
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The page number of a paginated list of records.
Required range:
x >= 1Example:
1
The number of items per page in a paginated list of records.
Required range:
1 <= x <= 100Example:
30
Indicates if and how archived items should be part of the result.
Available options:
excluded, included, only 
